
Redmine - Defect #23172

Tickets can be assigned to users who are not available in specific tracker

2016-06-27 08:55 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

Hi, I so much appreciate the ability to configure permissions per role / per tracker.

Anyway, there is a small bug - when I'm creating a new ticket, for example in our Customer Support tracker, I can assign - or at least

I see - all users in Assignee field.

Instead, I should see only users available in selected tracker.

Related issues:

Related to Redmine - Defect #24061: Tickets can be watched by users who are n... New

Associated revisions

Revision 15586 - 2016-06-28 22:31 - Jean-Philippe Lang

Assignable users should not include users that cannot view the tracker (#23172).

Revision 15743 - 2016-08-20 13:45 - Jean-Philippe Lang

Merged r15586 (#23172).

History

#1 - 2016-06-28 22:31 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.1

- Resolution set to Fixed

Fixed in r15586, thanks for pointing this out.

#2 - 2016-06-29 15:59 - Maxim Krušina

PS: the same is valid for watchers (I guess that user can watch only tickets to which have at least read access)

#4 - 2016-07-15 16:05 - Toshi MARUYAMA

- Description updated

#5 - 2016-08-20 13:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2016-10-12 21:49 - Maxim Krušina

- Related to Defect #24061: Tickets can be watched by users who are not available in specific tracker added
